Skip to content

DZP/PkgVersion: v5.14+ package Name BLOCK; notation support. #136

Closed
wants to merge 1 commit into from

3 participants

@kentfredric

First pass working attempt at injecting a version declaration inside the BLOCK.

Note this offers no real support for << package Name v3.510 BLOCK >> form, and will just ignore that stated version
and put a (possibly differnet) version after it inside the BLOCK

package Foo v1.2 { }

-->

package Foo v1.2 {
{
    $Foo::VERSION = '1.3';
}
}

^^ Possible at present.

And I intentionally left support out for automatically sticking the version in the

package Foo { 

Line automatically, as I feel thats the job for another plugin.

@kentfredric kentfredric DZP/PkgVersion: v5.14+ package Name BLOCK; notation support.
First pass working attempt at injecting a version declaration inside the BLOCK.

Note this offers no real support for << package Name v3.510 BLOCK >> form, and will just ignore that stated version
and put a (possibly differnet) version after it inside the BLOCK

package Foo v1.2 { }

-->

package Foo v1.2 {
{
	$Foo::VERSION = '1.3';
}
}

^^ Possible at present.
938e89f
@rjbs
Owner
rjbs commented Jul 25, 2015

I like the idea of supporting the newer forms of package, but I'd like to get it all right at once. If needed, I can try to produce a loose spec.

@rjbs rjbs closed this Jul 25, 2015
@karenetheridge

I suspect better support might be needed in PPI (for detection of the package BLOCK syntax)?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.